Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.calendar
Class AppointmentProperty

    java.lang.Object
      |
      +--com.compoze.calendar.AppointmentProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class AppointmentProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `Appointment` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `calendar_resources.properties` file (accessed through `CalendarResources`) and referenced by their key and can be found in `calendar.jar` at `com.compoze.calendar.calendar_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static AppointmentProperty` | `ALL_DAY_EVENT` This value represents the appointment property 'all day event'.
`static AppointmentProperty` | `BILLING_INFORMATION` This value represents the appointment property 'billing information'.
`static AppointmentProperty` | `BUSY_STATUS` This value represents the appointment property 'busy status'.
`static AppointmentProperty` | `CATEGORY` This value represents the appointment property 'category'.
`static AppointmentProperty` | `COMMENTS` This value represents the appointment property 'comments'.
`static AppointmentProperty` | `CUSTOM_NUM1` This value represents the appointment property 'custom num 1'.
`static AppointmentProperty` | `CUSTOM_NUM2` This value represents the appointment property 'custom num 2'.
`static AppointmentProperty` | `CUSTOM_NUM3` This value represents the appointment property 'custom num 3'.
`static AppointmentProperty` | `CUSTOM_NUM4` This value represents the appointment property 'custom num 4'.
`static AppointmentProperty` | `CUSTOM_STR1` This value represents the appointment property 'custom str 1'.
`static AppointmentProperty` | `CUSTOM_STR2` This value represents the appointment property 'custom str 2'.
`static AppointmentProperty` | `CUSTOM_STR3` This value represents the appointment property 'custom str 3'.
`static AppointmentProperty` | `CUSTOM_STR4` This value represents the appointment property 'custom str 4'.
`static AppointmentProperty` | `DATE_CREATED` This value represents the appointment property 'date created'.
`static AppointmentProperty` | `DATE_LAST_MODIFIED` This value represents the appointment property 'date last modified'.
`static AppointmentProperty` | `DESCRIPTION` This value represents the appointment property 'description'.
`static AppointmentProperty` | `END_DATE` This value represents the appointment property 'end date'.
`static AppointmentProperty` | `LOCATION` This value represents the appointment property 'location'.
`static AppointmentProperty` | `MILEAGE` This value represents the appointment property 'mileage'.
`static AppointmentProperty` | `ORGANIZER` This value represents the appointment property 'organizer'.
`static AppointmentProperty` | `PRIORITY` This value represents the appointment property 'priority'.
`static java.util.List` | `s_properties` An array containing all of the fixed appointment properties.
`static AppointmentProperty` | `START_DATE` This value represents the appointment property 'start date'.
`static AppointmentProperty` | `SUMMARY` This value represents the appointment property 'summary'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static AppointmentProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_properties

    public static java.util.List s_properties

  An array containing all of the fixed appointment properties.

### ALL_DAY_EVENT

    public static final AppointmentProperty ALL_DAY_EVENT

  This value represents the appointment property 'all day event'.

### COMMENTS

    public static final AppointmentProperty COMMENTS

  This value represents the appointment property 'comments'.

### CATEGORY

    public static final AppointmentProperty CATEGORY

  This value represents the appointment property 'category'.

### CUSTOM_NUM1

    public static final AppointmentProperty CUSTOM_NUM1

  This value represents the appointment property 'custom num 1'.

### CUSTOM_NUM2

    public static final AppointmentProperty CUSTOM_NUM2

  This value represents the appointment property 'custom num 2'.

### CUSTOM_NUM3

    public static final AppointmentProperty CUSTOM_NUM3

  This value represents the appointment property 'custom num 3'.

### CUSTOM_NUM4

    public static final AppointmentProperty CUSTOM_NUM4

  This value represents the appointment property 'custom num 4'.

### CUSTOM_STR1

    public static final AppointmentProperty CUSTOM_STR1

  This value represents the appointment property 'custom str 1'.

### CUSTOM_STR2

    public static final AppointmentProperty CUSTOM_STR2

  This value represents the appointment property 'custom str 2'.

### CUSTOM_STR3

    public static final AppointmentProperty CUSTOM_STR3

  This value represents the appointment property 'custom str 3'.

### CUSTOM_STR4

    public static final AppointmentProperty CUSTOM_STR4

  This value represents the appointment property 'custom str 4'.

### START_DATE

    public static final AppointmentProperty START_DATE

  This value represents the appointment property 'start date'.

### END_DATE

    public static final AppointmentProperty END_DATE

  This value represents the appointment property 'end date'.

### BILLING_INFORMATION

    public static final AppointmentProperty BILLING_INFORMATION

  This value represents the appointment property 'billing information'.

### SUMMARY

    public static final AppointmentProperty SUMMARY

  This value represents the appointment property 'summary'.

### LOCATION

    public static final AppointmentProperty LOCATION

  This value represents the appointment property 'location'.

### DESCRIPTION

    public static final AppointmentProperty DESCRIPTION

  This value represents the appointment property 'description'.

### ORGANIZER

    public static final AppointmentProperty ORGANIZER

  This value represents the appointment property 'organizer'.

### MILEAGE

    public static final AppointmentProperty MILEAGE

  This value represents the appointment property 'mileage'.

### PRIORITY

    public static final AppointmentProperty PRIORITY

  This value represents the appointment property 'priority'.

### BUSY_STATUS

    public static final AppointmentProperty BUSY_STATUS

  This value represents the appointment property 'busy status'.

### DATE_CREATED

    public static final AppointmentProperty DATE_CREATED

  This value represents the appointment property 'date created'.

### DATE_LAST_MODIFIED

    public static final AppointmentProperty DATE_LAST_MODIFIED

  This value represents the appointment property 'date last modified'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static AppointmentProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `AppointmentProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.